Subject: Re: bug#35174: emacs-git sha f2d22273599f96a731e23b2f6d7571af8bb7bb3f fails to build

From: Stefan Cocora <[email-masked]>
Date: Thu, 2 May 2019 07:52:51 +0100

I've finally had time and validated that there isn't anything wrong with
the upstream emacs  build.

Although I don't see what is wrong, I've validated that something is
wrong with the wrapper make script that invokes the archlinux makepkg
build tool which invokes the upstream emacs build tools(make).

If I manually invoke the archlinux makepkg build tool (still running in
a chroot) emacs-git builds fine.

Thanks for looking into this issue Noam and for all the pointers !

On 4/10/19 00:18, Noam Postavsky wrote:
> 
>>>> The weird part is that a previous(2019-Mar-24) emacs-git build, built
>>>> with the same PKGBUILD worked fine, found and built lib/fcntl.c.
>>>> - previous successful log build attached to this email
>>>
>>> So I notice this successful build also is also printing the recursive
>>> make invocation (and it seems to be running in parallel) whereas the
>>> failing build just goes straight to printing the GEN lines.  I think
>>> this all this points to some change in the build system on the server;
>>> was 'make' updated recently?
>>>
>>> make -C lib all
>>> make info-real info-dir
>>> make[1]: Entering directory '/build/emacs-git/src/emacs-git/lib'
>>> make[1]: Entering directory '/build/emacs-git/src/emacs-git'
>>> make -C doc/lispref info
>>>   GEN      alloca.h
>>>   GEN      dirent.h
>>>
>>
>> Not sure how make would switch from printing the recursive make
>> invocation to printing GEN lines, since I've not touched the upstream
>> emacs Makefile.
> 
> Hmm, but it's not the upstream emacs Makefile, because it's working fine
> in other automated from scratch builds, e.g.:
> 
> https://hydra.nixos.org/jobset/gnu/emacs-trunk/evals (latest log as of
> this writing is at
> https://nix-cache.s3.amazonaws.com/log/4xpdrx48lfakc6piby1zihdmy9xcxyyp-emacs-tarball-unknown.drv)
> 
>> Since this build is running in a clean chroot, it will install,
>> unattended, the latest available make version. (4.2.1)
>>
>> Looking at the git changes for the archlinux make pkg, the last version
>> update was in 2018-11
> 
> And not make itself, since it hasn't changed since March when it worked
> fine.  How mysterious.  Perhaps you could pass --debug to make and we
> might get some more clues?
>